Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
companyview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $CompanyViewLogin = $ini->variable( "eZContactMain", "CompanyViewLogin" ) == "true"
| $CompanyEditLogin = $ini->variable( "eZContactMain", "CompanyEditLogin" ) == "true"
| $ShowCompanyContact = $ini->variable( "eZContactMain", "ShowCompanyContact" ) == "true"
| $ShowCompanyStatus = $ini->variable( "eZContactMain", "ShowCompanyStatus" ) == "true"
| $SiteURL = $ini->variable( "Site", "SiteURL" )
| $AdminSiteURL = $ini->variable( "Site", "AdminSiteURL" )
| $user =& eZUser::currentUser()
if( $CompanyViewLogin and !is_a( $user, "eZUser")) if( $CompanyViewLogin and !eZPermission::checkPermission( $user, "eZContact", "CompanyView")) | $t
| $intl = new eZINI( "kernel/ezcontact/admin/intl/$Language/companyview.php.ini", false )
if(!eZCompany::exists( $CompanyID)) | else
| $logoImage = $company->logoImage()
| $no_image = true
if((is_a( $logoImage, "eZImage")) &&( $logoImage->id() !=0)) | $companyImage = $company->companyImage()
| $addressList = $company->addresses( $company->id() )
| $phoneList = $company->phones()
| $count = count( $phoneList )
| $OnlineList = $company->onlines( $company->id() )
| $persons = $company->persons( $CompanyID, true, $PersonLimit, $PersonOffset )
| $emails = eZMail::getByContact( $CompanyID, true, 0, $max )
| $locale = new eZLocale( $Language )
| $i = 0
| $currency = new eZCurrency()
| $date = new eZDateTime()
| $Action_value = "update"

## Variable Documentation

## ◆ $Action_value

$Action_value = "update"

Definition at line 559 of file companyview.php.

## ◆ $addressList

$addressList = $company->addresses( $company->id() )

Definition at line 215 of file companyview.php.

## ◆ $AdminSiteURL

$AdminSiteURL = $ini->variable( "Site", "AdminSiteURL" )

Definition at line 40 of file companyview.php.

## ◆ $CompanyEditLogin

$CompanyEditLogin = $ini->variable( "eZContactMain", "CompanyEditLogin" ) == "true"

Definition at line 36 of file companyview.php.

## ◆ $companyImage

if ((is_a($logoImage, "eZImage")) &&($logoImage->id() !=0)) $companyImage = $company->companyImage()

Definition at line 190 of file companyview.php.

## ◆ $CompanyViewLogin

$CompanyViewLogin = $ini->variable( "eZContactMain", "CompanyViewLogin" ) == "true"

Definition at line 35 of file companyview.php.

## ◆ $count

$count = count( $phoneList )

Definition at line 248 of file companyview.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 529 of file companyview.php.

Referenced by eZCartItem\localePrice(), eZOrderItem\localePrice(), eZOptionValue\localePrice(), eZProduct\localePrice(), eZCartItem\localeSavings(), eZProduct\localeSavings(), eZOptionValue\localeSavings(), and eZOrderConfirmation\sendMail().

## ◆ $date

$date = new eZDateTime()

Definition at line 531 of file companyview.php.

## ◆ $emails

$emails = eZMail::getByContact( $CompanyID, true, 0, $max )

Definition at line 525 of file companyview.php.

Referenced by eZConsultation\emailList(), eZMail\mergeList(), eZConsultation\setEmail(), and eZMail\splitList().

## ◆ $i

$i = 0

Definition at line 528 of file companyview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file companyview.php.

## ◆ $intl

$intl = new eZINI( "kernel/ezcontact/admin/intl/$Language/companyview.php.ini", false )

Definition at line 89 of file companyview.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 34 of file companyview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 527 of file companyview.php.

## ◆ $logoImage

$logoImage = $company->logoImage()

Definition at line 168 of file companyview.php.

## ◆ $no_image

$no_image = true

Definition at line 170 of file companyview.php.

## ◆ $OnlineList

$OnlineList = $company->onlines( $company->id() )

Definition at line 273 of file companyview.php.

## ◆ $persons

$persons = $company->persons( $CompanyID, true, $PersonLimit, $PersonOffset )

Definition at line 386 of file companyview.php.

Referenced by eZPerson\getAllCount().

## ◆ $phoneList

$phoneList = $company->phones()

Definition at line 246 of file companyview.php.

## ◆ $ShowCompanyContact

$ShowCompanyContact = $ini->variable( "eZContactMain", "ShowCompanyContact" ) == "true"

Definition at line 37 of file companyview.php.

## ◆ $ShowCompanyStatus

$ShowCompanyStatus = $ini->variable( "eZContactMain", "ShowCompanyStatus" ) == "true"

Definition at line 38 of file companyview.php.

## ◆ $SiteURL

$SiteURL = $ini->variable( "Site", "SiteURL" )

Definition at line 39 of file companyview.php.

## ◆ $t

if ($CompanyViewLogin and !is_a($user, "eZUser")) if ($CompanyViewLogin and !eZPermission::checkPermission($user, "eZContact", "CompanyView")) $t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, "companyview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: companyview.php:34
$ini
$ini
Definition: companyview.php:33

Definition at line 87 of file companyview.php.

## ◆ $user

if (count($persons) > 0) $user =& eZUser::currentUser()

Definition at line 71 of file companyview.php.

## ◆ else

foreach ($emails as $email) if (is_a($user, "eZUser") and count($emails) > 0) else

Initial value:
{
$company = new eZCompany()
eZCompany
Definition: ezcompany.php:54
$company
if(!is_numeric( $Year)) if(!is_numeric( $Month)) if(!is_numeric( $Day)) $company
Definition: companystats.php:72

Definition at line 157 of file companyview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.